Bug 535382 - (RHQ-2084) missing the "none" architecture [NEEDINFO]
missing the "none" architecture
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Database (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: RHQ-2083 rhq_triage
  Show dependency treegraph
 
Reported: 2009-05-12 19:25 EDT by John Mazzitelli
Modified: 2014-05-06 16:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-06 16:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cwelton: needinfo? (ccrouch)


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-05-12 19:25:00 EDT
need to add to the dbsetup/dbupgrade scripts a new row in the RHQ_ARCHITECTURE table - the "none" architecture.
Comment 1 John Mazzitelli 2009-05-13 02:44:57 EDT
Rather than add a new arch, if arch is "none" we should consider manually switching it to be our standard "noarch". We hardcode "noarch" in a few places in the code when we are talking about a arch-independent package. So we might want to just replace "none" with noarch before querying/inserting in RHQ_ARCHITECTURE.
Comment 2 Corey Welton 2009-08-14 15:49:27 EDT
I don't think handling this as a noarch (see sub-bug) is the correct thing to do -- noarch means something specific, i.e., a package that is arch-agnostic. A return of "(none"), however is indicative that the rpm provides nothing for the arch value.  I think if we were to file  rpms that return an arch as "(none)" from the rpm output as noarch, it might cause other issues down the road. 

A possible solution down the road might be to dynamically generate all arch types that exist on a system, rather than store a static list of them in the RHQ_ARCHITECTURE table. Something like

`rpm -qa --queryformat "%{ARCH}\n"|sort|uniq`

...would return a list of all arches that exist on any given system.  We could then store these in a db record for each inventoried system. Alternately, we could continually populate RHQ_ARCHITECTURE  with this data as more arches are discovered. This would keep us from necessarily having to update the table with one-offs any time a new arch is discovered, and would keep us from throwing errors if something unexpected comes our way.

Comment 3 Red Hat Bugzilla 2009-11-10 15:57:26 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2084
Comment 4 wes hayutin 2010-02-16 11:57:49 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 5 wes hayutin 2010-02-16 12:02:43 EST
making sure we're not missing any bugs in rhq_triage
Comment 6 Corey Welton 2010-08-25 11:54:49 EDT
Charles, this one's on you per prioritization of platform plugin-related issues.

Note You need to log in before you can comment on or make changes to this bug.